Hooks:PostHook( WeaponFactoryTweakData, "init", "Mini14ModInit", function(self)
	
	--[[Ironsight Stance/Angle view]]	
	self.parts.wpn_fps_ass_mini14_ironsight.stance_mod = {
		wpn_fps_ass_mini14 = {
			translation = Vector3(0, 0, .75),
			rotation = Rotation(0, 0, 0)
		}
	}
	self.parts.wpn_fps_ass_mini14_ironsight.forbids = {"wpn_fps_upg_o_45rds","wpn_fps_upg_o_45rds_v2","wpn_fps_upg_o_xpsg33_magnifier"}
	
	self.parts.wpn_fps_ass_mini14_o_integral.stance_mod = {
		wpn_fps_ass_mini14 = {
			translation = Vector3(-0.03, 0, -1.210),
			rotation = Rotation(0, 0, 0)
		}
	}
	self.parts.wpn_fps_ass_mini14_o_integral.forbids = {"wpn_fps_upg_o_45rds","wpn_fps_upg_o_45rds_v2","wpn_fps_upg_o_xpsg33_magnifier"}
	self.parts.wpn_fps_ass_mini14_o_integral.texture_switch = nil
	
	self.parts.wpn_fps_ass_mini14_opticrail.pcs = nil
	
	
	--[[Add Optic Sight Railing]]
	self.wpn_fps_ass_mini14.adds = {
		wpn_fps_upg_o_specter = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_aimpoint = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_aimpoint_2 = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_docter = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_eotech = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_t1micro = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_cmore = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_acog = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_cs = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_eotech_xps = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_reflex = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_rx30 = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_rx01 = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_spot = {
			"wpn_fps_ass_mini14_opticrail"
		},
		wpn_fps_upg_o_45rds = {
			"wpn_fps_ass_mini14_offset_sight_rail"
		},
		wpn_fps_upg_o_45rds_v2 = {
			"wpn_fps_ass_mini14_offset_sight_rail"
		},
		
	}
	self.wpn_fps_ass_mini14.override = {
		wpn_fps_upg_o_specter = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_aimpoint = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_aimpoint_2 = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_docter = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_eotech = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_t1micro = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_cmore = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_acog = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_cs = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_eotech_xps = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_reflex = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_rx01 = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_rx30 = {
			a_obj = "a_o_sm"
		},
		wpn_fps_upg_o_spot = {
			a_obj = "a_o_sm"
		},
		wpn_fps_ass_mini14_o_integral = {
			a_obj = "a_o_sm"
		},		
		--Moved barrel_ext
		wpn_fps_upg_ns_ass_smg_large = {unit ="barrel_ext/mini14/wpn_fps_upg_sil_large"},
		wpn_fps_upg_ns_ass_smg_firepig = {unit="barrel_ext/mini14/wpn_fps_upg_firepig"},
		wpn_fps_upg_ns_ass_smg_stubby = {unit="barrel_ext/mini14/wpn_fps_upg_stubby"},
		wpn_fps_upg_ns_ass_smg_tank = {unit="barrel_ext/mini14/wpn_fps_upg_tank"},
		wpn_fps_upg_ns_ass_smg_medium = {unit="barrel_ext/mini14/wpn_fps_upg_sil_medium"},
		wpn_fps_upg_ns_ass_smg_small = {unit="barrel_ext/mini14/wpn_fps_upg_sil_small"},
		wpn_fps_upg_ass_ns_battle = {unit="barrel_ext/mini14/wpn_fps_upg_battle"},
		wpn_fps_upg_ass_ns_jprifles = {unit="barrel_ext/mini14/wpn_fps_upg_jprifles"},
		wpn_fps_upg_ass_ns_linear = {unit="barrel_ext/mini14/wpn_fps_upg_linear"},
		wpn_fps_upg_ass_ns_surefire = {unit="barrel_ext/mini14/wpn_fps_upg_surefire"}
	}
	
	
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_m14)
	
	--self.parts.wpn_fps_ass_mini14_o_integral.stance_mod.wpn_fps_ass_mini14 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)

end )